Bug 1419065

Summary: ypbind dead after reboot
Product: [Fedora] Fedora Reporter: Nuno Dias <nuno.dias>
Component: ypbindAssignee: Matej Mužila <mmuzila>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 25CC: hhorak, mmuzila, nuno.dias, pkubat
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-03 14:10:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nuno Dias 2017-02-03 15:11:44 UTC
Description of problem:
ypbind doesn't start after boot

Version-Release number of selected component (if applicable):
ypbind-1.38-7.fc25.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Configure ypbind
2. Enable ypbind
3. Restart 

Actual results:
ypbind is dead

Expected results:
ypbind running

Additional info:
systemctl status ypbind -l

ypbind.service - NIS/YP (Network Information Service) Clients to NIS Domain Binder
   Loaded: loaded (/usr/lib/systemd/system/ypbind.service; enabled; vendor preset: disabled)
   Active: inactive (dead)

Feb 03 15:04:34 calo19.lip.pt systemd[1]: Dependency failed for NIS/YP (Network Information Service) Clients to NIS Domain Binder.
Feb 03 15:04:34 calo19.lip.pt systemd[1]: ypbind.service: Job ypbind.service/start failed with result 'dependency'.

Comment 1 Matej Mužila 2017-02-03 22:15:22 UTC
Hi,

could you try to start the ypbind manually?

# systemctl start ypbind

If it fails, send me output of following command please.

# systemctl status ypbind -l

Comment 2 Nuno Dias 2017-02-04 09:35:21 UTC
Sorry, I forgot to say if I start ypbind manually works without any error, if I put systemctl restart ypbind in /etc/rc.d/rc.local also works, only fails in the normal boot.

Comment 3 Petr Kubat 2017-04-03 13:25:33 UTC
The only other service ypbind depends on (and could cause it to fail to start) is rpcbind.service. Please check why rpcbind is not able to be started during boot.

Comment 4 Nuno Dias 2017-04-03 13:51:11 UTC
rpcbind was ok, and running, I solve this adding NetworkManager-wait-online.service to After=

Comment 5 Petr Kubat 2017-04-03 14:10:01 UTC
I see. NetworkManager-wait-online.service has been in After= ever since ypbind-1.37.1-7.fc20 (added via bug 1002295) so I am not sure why your service file was missing it.

As the issue has been fixed already I am closing this as NOTABUG.